Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1294322

Summary: nethog fails to establish socket as in debian bug #808433
Product: [Fedora] Fedora Reporter: Mike Goodwin <mike>
Component: nethogsAssignee: Anderson Silva <ansilva>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 23CC: ansilva, martin.marques
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: nethogs-0.8.2-1.20160101snap.fc23 nethogs-0.8.2-1.20160101snap.el7 nethogs-0.8.2-2.20160101snap.fc22 nethogs-0.8.2-2.20160101snap.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-02-03 21:51:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Mike Goodwin 2015-12-27 00:17:46 UTC
Description of problem:

Expecting to run nethogs normally, one executes it as root. In doing so, the current version (0.8.0) outputs the following and exits:

creating socket failed while establishing local IP - are you root?

While as root


Version-Release number of selected component (if applicable):

0.8.0 , needs upgrade to 0.8.1 as stated here: 

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=808433

How reproducible:

Always

Steps to Reproduce:
1. sudo nethogs [<device>]

Actual results:

$ creating socket failed while establishing local IP - are you root?

Expected results:

Expected result is to obtain a curses GUI showing what nethogs normally does.

Additional info:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=808433
https://github.com/raboof/nethogs/releases

Comment 1 Fedora Update System 2016-01-01 19:02:10 UTC
nethogs-0.8.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a18ee78ca9

Comment 2 Fedora Update System 2016-01-01 20:18:32 UTC
nethogs-0.8.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-008e3ee033

Comment 3 Fedora Update System 2016-01-02 00:29:37 UTC
nethogs-0.8.2-1.20160101snap.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c0609023e

Comment 4 Fedora Update System 2016-01-02 00:37:06 UTC
nethogs-0.8.2-1.20160101snap.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-95ea41d759

Comment 5 Fedora Update System 2016-01-03 02:51:21 UTC
nethogs-0.8.2-1.20160101snap.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-95ea41d759

Comment 6 Fedora Update System 2016-01-03 03:23:13 UTC
nethogs-0.8.2-1.20160101snap.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c0609023e

Comment 7 Martí­n Marqués 2016-01-03 11:41:44 UTC
(In reply to Fedora Update System from comment #1)
> nethogs-0.8.1-1.fc23 has been submitted as an update to Fedora 23.
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-a18ee78ca9

Just downloaded and tested this new update and I can say that this update fixes the issue.

Comment 8 Fedora Update System 2016-01-11 20:23:04 UTC
nethogs-0.8.2-1.20160101snap.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-687fddd5ea

Comment 9 Fedora Update System 2016-01-12 08:01:40 UTC
nethogs-0.8.2-1.20160101snap.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-01-12 09:54:02 UTC
nethogs-0.8.2-1.20160101snap.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-687fddd5ea

Comment 11 Fedora Update System 2016-01-22 19:01:47 UTC
nethogs-0.8.2-2.20160101snap.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f9e3a8229

Comment 12 Fedora Update System 2016-01-22 19:08:00 UTC
nethogs-0.8.2-2.20160101snap.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-75915b8111

Comment 13 Fedora Update System 2016-01-24 01:06:03 UTC
nethogs-0.8.2-1.20160101snap.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-01-24 04:22:40 UTC
nethogs-0.8.2-2.20160101snap.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-75915b8111

Comment 15 Fedora Update System 2016-01-24 04:50:36 UTC
nethogs-0.8.2-2.20160101snap.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f9e3a8229

Comment 16 Fedora Update System 2016-02-03 21:51:35 UTC
nethogs-0.8.2-2.20160101snap.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-02-17 01:57:37 UTC
nethogs-0.8.2-2.20160101snap.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.